Bulk Lookalikes
curl --request POST \
--url https://api.bizzy.ai/v2/companies/lookalikes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 123,
"offset": 123
}
'import requests
url = "https://api.bizzy.ai/v2/companies/lookalikes"
payload = {
"limit": 123,
"offset": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 123, offset: 123})
};
fetch('https://api.bizzy.ai/v2/companies/lookalikes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "1778186251",
"name": "Bizzy"
},
"data": {
"lookalikes": [
{
"companyIdentifier": {
"countryCode": "GB",
"companyId": "50974991575",
"name": "E-horizon Systems"
}
},
{
"companyIdentifier": {
"countryCode": "GB",
"companyId": "50332067174",
"name": "Bizko Inc"
}
},
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "51222683020",
"name": "F.t.c."
}
},
{
"companyIdentifier": {
"countryCode": "CH",
"companyId": "49427557067",
"name": "Salesport"
}
}
]
},
"pagination": {
"limit": 4,
"offset": 0,
"total": 10000
},
"message": null
},
{ // Example error
"companyIdentifier": {
"countryCode": "BE",
"companyId": "123",
"name": ""
},
"data": null,
"pagination": null,
"message": "Company not found"
}
]
Company API
Bulk Lookalikes
POST
/
v2
/
companies
/
lookalikes
Bulk Lookalikes
Request
Header
string
default:"EN"
- NL: Dutch - FR: French - EN: English
Body
array
Show company properties
Show company properties
string
required
Obfuscated companyId returned by the search endpoint.
string
required
Any supported country code — see Supported countries.
You can request up to 100 companies at once.
number
default:"4"
Number of items to return per page. (max 500)
number
default:"0"
Number of items to skip.
companies.length x limit may not exceed 500.Response
Offset is displayed in pagination response, but defaults to 0 due to dynamic
scoring.
The same limit and offset are shared over all companies.
[
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "1778186251",
"name": "Bizzy"
},
"data": {
"lookalikes": [
{
"companyIdentifier": {
"countryCode": "GB",
"companyId": "50974991575",
"name": "E-horizon Systems"
}
},
{
"companyIdentifier": {
"countryCode": "GB",
"companyId": "50332067174",
"name": "Bizko Inc"
}
},
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "51222683020",
"name": "F.t.c."
}
},
{
"companyIdentifier": {
"countryCode": "CH",
"companyId": "49427557067",
"name": "Salesport"
}
}
]
},
"pagination": {
"limit": 4,
"offset": 0,
"total": 10000
},
"message": null
},
{ // Example error
"companyIdentifier": {
"countryCode": "BE",
"companyId": "123",
"name": ""
},
"data": null,
"pagination": null,
"message": "Company not found"
}
]
Was this page helpful?
⌘I